"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.asyncFlatMap = void 0;
const asyncFlatMap = async (array, callback) => {
    const mappedArray = await Promise.all(array.map(callback));
    const result = mappedArray.flat();
    return result;
};
exports.asyncFlatMap = asyncFlatMap;
