/// <reference types="node" />
import type nodeId3 from 'node-id3';
import { Metadata } from '../../metadata/metadata';
import { MetadataReader } from '../metadata-reader';
export declare class Mp3Reader extends MetadataReader<nodeId3.Tags> {
    readRaw(input: string | Buffer): Promise<nodeId3.Tags>;
    read(input: string | Buffer | nodeId3.Tags): Promise<Metadata>;
}
export declare const mp3Reader: Mp3Reader;
