"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.CliCommandBase = void 0;
const album_options_1 = require("./album-options");
const options_1 = require("./options");
class CliCommandBase {
    workingDir = '.';
    options;
    constructor() {
        this.options = (0, options_1.getCliOptions)();
    }
    async loadAlbumOptions() {
        const albumOptions = await (0, album_options_1.getAlbumOptions)(this.workingDir, (0, options_1.getCliOptions)());
        Object.assign(this.options, albumOptions);
    }
}
exports.CliCommandBase = CliCommandBase;
