/// <reference types="node" />
import { Metadata } from '../metadata';
import { MetadataSource } from '../metadata-source';
export declare class DoujinMeta extends MetadataSource {
    resolveAlbumName(albumName: string): Promise<string | string[]>;
    getMetadata(albumName: string, cover?: Buffer): Promise<Metadata[]>;
}
export declare const doujinMeta: DoujinMeta;
